org.apache.ode.bpel.runtime.monitor

## Interface ProcessMonitor

-     public interface ProcessMonitor

  Interface for monitoring active processes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OProcess` | `getProcess()` Returns the process object to be monitored.
    `ProcessInstance[]` | `getProcessInstances(InstanceFilter filter)` Return a list of process instances.
    `java.lang.String` | `getVariableData(java.lang.String processInstance, java.lang.String scopeId, java.lang.String variableName)` Inspect data variable.
    `void` | `kill(java.lang.String processInstanceId)` Terminates the process instance
    `void` | `pause(java.lang.String processInstanceId)` Pauses the process instance
    `void` | `resume(java.lang.String processInstanceId)` Resumes the process instance (from paused state)

- - ### Method Detail

    - #### getProcess

          OProcess getProcess()

      Returns the process object to be monitored. Special care should be taken to insure that the compiled instance classes specific for this `OProcess` are in the classpath.
      Returns:
        process definition

    - #### getProcessInstances

          ProcessInstance[] getProcessInstances(InstanceFilter filter)
                                         throws MonitorException

      Return a list of process instances.
      Parameters:
        `filter` - process instance filter
      Returns:
        process instances
      Throws:
        `MonitorException`

    - #### getVariableData

          java.lang.String getVariableData(java.lang.String processInstance,
                                           java.lang.String scopeId,
                                           java.lang.String variableName)
                                    throws MonitorException

      Inspect data variable. If variable has not been initialized, a null value will be returned.
      Parameters:
        `scopeId` - scope instance id of the variable
        `variableName` - variable name
      Returns:
        variable data
      Throws:
        `MonitorException`

    - #### kill

          void kill(java.lang.String processInstanceId)
             throws MonitorException

      Terminates the process instance
      Throws:
        `MonitorException`

    - #### pause

          void pause(java.lang.String processInstanceId)
              throws MonitorException

      Pauses the process instance
      Throws:
        `MonitorException`

    - #### resume

          void resume(java.lang.String processInstanceId)
               throws MonitorException

      Resumes the process instance (from paused state)
      Throws:
        `MonitorException`